{% extends '../base.html'%}
{% block main %}
{% load static %}
<div class="main-container repair-container position-relative">
  {% include "../components/quick_access.html" %}
  <div class="container">
    <div class="row">
      <div class="col-12">
        <p class="text-center fs-1">Vendre votre drone</p>
      </div>
    </div>
    <div class="row">
      <div class="col-12">
        <p class="text-center fs-4">Sur notre site, vous pouvez également vendre votre propre drone</p>
        <p>Sections : <a href="#demarche">La démarche</a> | <a href="#reviews">Avis de nos clients</a></p>
        <p class="text-center fs-4">Voici tout ce dont vous avez besoin</p>
        <section id="demarche">
        <h5 class="fw-bold fs-4 border-bottom pb-1">La démarche :</h5>
        <p>En quelques étapes, vous pouvez vendre votre drone !</p>
        <ol class="py-3">
          <li>Effectuez une nouvelle demande en précisant les détails de votre drone.</li><br>
          <li>Attendez une validation de notre part concernant votre demande.</li><br>
          <li>Si nous acceptons votre demande, nous allons vous proposer un prix selon l'état de votre drone.</li><br>
          <li>Si le prix ne vous convient pas, dans ce cas-là, nous pouvons échanger pour fixer un prix.</li><br>
          <li>Une fois cela est fait, nous passons à l'étape d'envoi.</li><br>
          <li>Vous nous enverrez votre drone en indiquant le numéro de suivi.</li><br>
          <li>Une fois que nous récupérons le drone, si l'état du drone est correct, nous allons vous faire un versement avec le montant fixé. Sinon, le drone sera renvoyé et vous serez notifié.</li><br>
          <li>N'oubliez pas de nous laisser un avis de votre experience.</li><br>
        </ol>
        </section>
        {% if not notes.count == 0 %}
          <h5 class="border-bottom ps-3 pt-1 fw-bold">Avis de nos clients :</h5>
          <section id="reviews">
            {% for note in notes %}
            <div class="note-card border rounded shadow" id="note-{{ note.id }}">
              <div class="text-center border-bottom ">
                <div class="border-bottom mx-5">
                  {{ note.user }}
                </div>
                <span class="fs-1-rem text-secondary">
                  Il y a {{ note.created_at|timesince }}
                </span>
              </div>
              <div class="note-card-body">
                {{ note.note|linebreaks }}
              </div>
              <div class="stars-container d-flex justify-content-center align-items-center gap-2 note-card-footer text-center mx-3 py-2 border-top" data-nb="{{ note.stars }}" class="">
                <i class="fa-regular fa-star"></i>
                <i class="fa-regular fa-star"></i>
                <i class="fa-regular fa-star"></i>
                <i class="fa-regular fa-star"></i>
                <i class="fa-regular fa-star"></i>
              </div>
            </div>
            {% endfor %}
          </section>
          {% if notes.has_next %}
          <div class="d-flex justify-content-end">
            <a href="{% url 'all_notes' 3 %}" class="normal-link w-fit my-3 d-flex justify-content-center align-items-center gap-2 px-2 py-1 rounded bg-dark text-white"><span>Voir plus</span><i class="fa-solid fa-arrow-right"></i></a>
          </div>
          {% endif %}
        {% endif %}
        <div class="w-100 mt-4 d-flex flex-column gap-3  justify-content-center align-content-center">
          <div class="d-flex gap-3 justify-content-center align-content-center align-items-center">
            <input type="checkbox" name="conditions" id="conditions">
            <label for="conditions">j'ai pris connaissance de cette page</label>
          </div>
          <div class="d-flex justify-content-center align-content-center">
            <!-- <a href="{% url 'new_sell' %}" disabled="" id="okForRepair" class="normal-link px-4 py-2 my-3 border shadow rounded bg-success text-white disabled-link"> -->
            <a href="{% url 'new_sell' %}" disabled="" id="okForRepair" class="normal-link px-4 py-2 my-3 border shadow rounded bg-success text-white disabled-link">
              <i class="fa-solid fa-check"></i>Faire une demande
            </a>
          </div>
        </div>
      </div>
    </div>
  </div>
  <script src="{% static 'assets/js/script.js' %}">
  </script>
  <script>
    drawStars();
    handleRepairConditions();
  </script>
</div>

{% endblock main%}
